cURL
curl --request PATCH \ --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/trusted_token_profiles/:profile_id \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "audience": "<string>", "issuer": "<string>", "jwks_url": "<string>", "attribute_mapping": "<string>", "can_jit_provision": true } '
{ "request_id": "<string>", "profile": { "profile_id": "<string>", "name": "<string>", "audience": "<string>", "issuer": "<string>", "pem_files": [ { "pem_file_id": "<string>", "public_key": "<string>" } ], "can_jit_provision": true, "jwks_url": "<string>", "attribute_mapping": "<string>", "public_key_type": "JWK" }, "status_code": 123 }
Update updates a trusted token profile for an environment.
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
Request type
Successful response
Response type
Show child attributes